<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>bitten.util.compat.HTTPBasicAuthHandler</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="bitten-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="bitten-module.html">Package&nbsp;bitten</a> ::
        <a href="bitten.util-module.html">Package&nbsp;util</a> ::
        <a href="bitten.util.compat-module.html">Module&nbsp;compat</a> ::
        Class&nbsp;HTTPBasicAuthHandler
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class HTTPBasicAuthHandler</h1><p class="nomargin-top"></p>
<pre class="base-tree">
urllib2.AbstractBasicAuthHandler --+    
                                   |    
             urllib2.BaseHandler --+    
                                   |    
        urllib2.HTTPBasicAuthHandler --+
                                       |
                                      <strong class="uidshort">HTTPBasicAuthHandler</strong>
</pre>

<hr />
<p>Patched version of Python 2.6's HTTPBasicAuthHandler.</p>
<p>The fix for <a class="rst-footnote-reference" href="#rst-id4" id="rst-id1">[1]</a> introduced an infinite recursion bug <a class="rst-footnote-reference" href="#rst-id5" id="rst-id2">[2]</a> into
Python 2.6.x that is triggered by attempting to connect using
Basic authentication with a bad username and/or password. This
class fixes the problem using the simple solution outlined in <a class="rst-footnote-reference" href="#rst-id6" id="rst-id3">[3]</a>.</p>
<table class="rst-docutils footnote" frame="void" id="rst-id4" rules="none">
<colgroup><col class="label" /><col /></colgroup>
<tbody valign="top">
<tr><td class="rst-label"><a class="fn-backref" href="#id1">[1]</a></td><td><a class="rst-reference external" href="http://bugs.python.org/issue3819" target="_top">http://bugs.python.org/issue3819</a></td></tr>
</tbody>
</table>
<table class="rst-docutils footnote" frame="void" id="rst-id5" rules="none">
<colgroup><col class="label" /><col /></colgroup>
<tbody valign="top">
<tr><td class="rst-label"><a class="fn-backref" href="#id2">[2]</a></td><td><a class="rst-reference external" href="http://bugs.python.org/issue8797" target="_top">http://bugs.python.org/issue8797</a></td></tr>
</tbody>
</table>
<table class="rst-docutils footnote" frame="void" id="rst-id6" rules="none">
<colgroup><col class="label" /><col /></colgroup>
<tbody valign="top">
<tr><td class="rst-label"><a class="fn-backref" href="#id3">[3]</a></td><td><a class="rst-reference external" href="http://bugs.python.org/issue8797#msg126657" target="_top">http://bugs.python.org/issue8797#msg126657</a></td></tr>
</tbody>
</table>

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Instance Methods</span></td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.util.compat.HTTPBasicAuthHandler-class.html#retry_http_basic_auth" class="summary-sig-name">retry_http_basic_auth</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">host</span>,
        <span class="summary-sig-arg">req</span>,
        <span class="summary-sig-arg">realm</span>)</span></td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>urllib2.HTTPBasicAuthHandler</code></b>:
      <code>http_error_401</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>urllib2.AbstractBasicAuthHandler</code></b>:
      <code>__init__</code>,
      <code>http_error_auth_reqed</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>urllib2.BaseHandler</code></b>:
      <code>__lt__</code>,
      <code>add_parent</code>,
      <code>close</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== CLASS VARIABLES ==================== -->
<a name="section-ClassVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Class Variables</span></td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>urllib2.HTTPBasicAuthHandler</code></b>:
      <code>auth_header</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>urllib2.AbstractBasicAuthHandler</code></b>:
      <code>rx</code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>urllib2.BaseHandler</code></b>:
      <code>handler_order</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Method Details</span></td>
</tr>
</table>
<a name="retry_http_basic_auth"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">retry_http_basic_auth</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">host</span>,
        <span class="sig-arg">req</span>,
        <span class="sig-arg">realm</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  
  <dl class="fields">
    <dt>Overrides:
        urllib2.AbstractBasicAuthHandler.retry_http_basic_auth
    </dt>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="bitten-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Fri Mar 11 14:53:36 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
